Debian Bug report logs - #618184
pantomime1.2: FTBFS: NSString+Extensions.m:41:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory

version graph

Package: src:pantomime1.2; Maintainer for src:pantomime1.2 is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 13 Mar 2011 17:54:46 UTC

Severity: serious

Tags: sid, wheezy

Found in version pantomime1.2/1.2.0~pre3+snap20071004+dfsg-3

Fixed in version pantomime1.2/1.2.0~pre3+snap20071004+dfsg-4

Done: Yavor Doganov <yavor@gnu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618184; Package src:pantomime1.2. (Sun, 13 Mar 2011 17:54:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sun, 13 Mar 2011 17:54:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pantomime1.2: FTBFS: NSString+Extensions.m:41:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory
Date: Sun, 13 Mar 2011 18:44:14 +0100
Source: pantomime1.2
Version: 1.2.0~pre3+snap20071004+dfsg-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110313 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-pantomime1.2_1.2.0~pre3+snap20071004+dfsg-3-amd64-nbhmil/pantomime1.2-1.2.0~pre3+snap20071004+dfsg/Framework/Pantomime'
> Making build-headers for framework Pantomime...
> /usr/share/GNUstep/Makefiles/mkinstalldirs Pantomime.framework/Versions/1.2/Headers
> /usr/bin/install -c -p  -m 644 io.h Pantomime.framework/Versions/1.2/Headers/io.h
> /usr/bin/install -c -p  -m 644 CWCacheManager.h Pantomime.framework/Versions/1.2/Headers/CWCacheManager.h
> /usr/bin/install -c -p  -m 644 CWCharset.h Pantomime.framework/Versions/1.2/Headers/CWCharset.h
> /usr/bin/install -c -p  -m 644 CWConnection.h Pantomime.framework/Versions/1.2/Headers/CWConnection.h
> /usr/bin/install -c -p  -m 644 CWConstants.h Pantomime.framework/Versions/1.2/Headers/CWConstants.h
> /usr/bin/install -c -p  -m 644 CWContainer.h Pantomime.framework/Versions/1.2/Headers/CWContainer.h
> /usr/bin/install -c -p  -m 644 CWDNSManager.h Pantomime.framework/Versions/1.2/Headers/CWDNSManager.h
> /usr/bin/install -c -p  -m 644 CWFlags.h Pantomime.framework/Versions/1.2/Headers/CWFlags.h
> /usr/bin/install -c -p  -m 644 CWFolder.h Pantomime.framework/Versions/1.2/Headers/CWFolder.h
> /usr/bin/install -c -p  -m 644 CWFolderInformation.h Pantomime.framework/Versions/1.2/Headers/CWFolderInformation.h
> /usr/bin/install -c -p  -m 644 CWIMAPCacheManager.h Pantomime.framework/Versions/1.2/Headers/CWIMAPCacheManager.h
> /usr/bin/install -c -p  -m 644 CWIMAPFolder.h Pantomime.framework/Versions/1.2/Headers/CWIMAPFolder.h
> /usr/bin/install -c -p  -m 644 CWIMAPMessage.h Pantomime.framework/Versions/1.2/Headers/CWIMAPMessage.h
> /usr/bin/install -c -p  -m 644 CWIMAPStore.h Pantomime.framework/Versions/1.2/Headers/CWIMAPStore.h
> /usr/bin/install -c -p  -m 644 CWInternetAddress.h Pantomime.framework/Versions/1.2/Headers/CWInternetAddress.h
> /usr/bin/install -c -p  -m 644 CWISO8859_1.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_1.h
> /usr/bin/install -c -p  -m 644 CWISO8859_2.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_2.h
> /usr/bin/install -c -p  -m 644 CWISO8859_3.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_3.h
> /usr/bin/install -c -p  -m 644 CWISO8859_4.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_4.h
> /usr/bin/install -c -p  -m 644 CWISO8859_5.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_5.h
> /usr/bin/install -c -p  -m 644 CWISO8859_6.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_6.h
> /usr/bin/install -c -p  -m 644 CWISO8859_7.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_7.h
> /usr/bin/install -c -p  -m 644 CWISO8859_8.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_8.h
> /usr/bin/install -c -p  -m 644 CWISO8859_9.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_9.h
> /usr/bin/install -c -p  -m 644 CWISO8859_10.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_10.h
> /usr/bin/install -c -p  -m 644 CWISO8859_11.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_11.h
> /usr/bin/install -c -p  -m 644 CWISO8859_13.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_13.h
> /usr/bin/install -c -p  -m 644 CWISO8859_14.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_14.h
> /usr/bin/install -c -p  -m 644 CWISO8859_15.h Pantomime.framework/Versions/1.2/Headers/CWISO8859_15.h
> /usr/bin/install -c -p  -m 644 CWKOI8_R.h Pantomime.framework/Versions/1.2/Headers/CWKOI8_R.h
> /usr/bin/install -c -p  -m 644 CWKOI8_U.h Pantomime.framework/Versions/1.2/Headers/CWKOI8_U.h
> /usr/bin/install -c -p  -m 644 CWLocalCacheManager.h Pantomime.framework/Versions/1.2/Headers/CWLocalCacheManager.h
> /usr/bin/install -c -p  -m 644 CWLocalFolder.h Pantomime.framework/Versions/1.2/Headers/CWLocalFolder.h
> /usr/bin/install -c -p  -m 644 CWLocalFolder+maildir.h Pantomime.framework/Versions/1.2/Headers/CWLocalFolder+maildir.h
> /usr/bin/install -c -p  -m 644 CWLocalFolder+mbox.h Pantomime.framework/Versions/1.2/Headers/CWLocalFolder+mbox.h
> /usr/bin/install -c -p  -m 644 CWLocalMessage.h Pantomime.framework/Versions/1.2/Headers/CWLocalMessage.h
> /usr/bin/install -c -p  -m 644 CWLocalStore.h Pantomime.framework/Versions/1.2/Headers/CWLocalStore.h
> /usr/bin/install -c -p  -m 644 CWMD5.h Pantomime.framework/Versions/1.2/Headers/CWMD5.h
> /usr/bin/install -c -p  -m 644 CWMIMEMultipart.h Pantomime.framework/Versions/1.2/Headers/CWMIMEMultipart.h
> /usr/bin/install -c -p  -m 644 CWMIMEUtility.h Pantomime.framework/Versions/1.2/Headers/CWMIMEUtility.h
> /usr/bin/install -c -p  -m 644 CWMessage.h Pantomime.framework/Versions/1.2/Headers/CWMessage.h
> /usr/bin/install -c -p  -m 644 CWParser.h Pantomime.framework/Versions/1.2/Headers/CWParser.h
> /usr/bin/install -c -p  -m 644 CWPart.h Pantomime.framework/Versions/1.2/Headers/CWPart.h
> /usr/bin/install -c -p  -m 644 CWPOP3CacheManager.h Pantomime.framework/Versions/1.2/Headers/CWPOP3CacheManager.h
> /usr/bin/install -c -p  -m 644 CWPOP3CacheObject.h Pantomime.framework/Versions/1.2/Headers/CWPOP3CacheObject.h
> /usr/bin/install -c -p  -m 644 CWPOP3Folder.h Pantomime.framework/Versions/1.2/Headers/CWPOP3Folder.h
> /usr/bin/install -c -p  -m 644 CWPOP3Message.h Pantomime.framework/Versions/1.2/Headers/CWPOP3Message.h
> /usr/bin/install -c -p  -m 644 CWPOP3Store.h Pantomime.framework/Versions/1.2/Headers/CWPOP3Store.h
> /usr/bin/install -c -p  -m 644 CWRegEx.h Pantomime.framework/Versions/1.2/Headers/CWRegEx.h
> /usr/bin/install -c -p  -m 644 CWSendmail.h Pantomime.framework/Versions/1.2/Headers/CWSendmail.h
> /usr/bin/install -c -p  -m 644 CWService.h Pantomime.framework/Versions/1.2/Headers/CWService.h
> /usr/bin/install -c -p  -m 644 CWSMTP.h Pantomime.framework/Versions/1.2/Headers/CWSMTP.h
> /usr/bin/install -c -p  -m 644 CWStore.h Pantomime.framework/Versions/1.2/Headers/CWStore.h
> /usr/bin/install -c -p  -m 644 CWTCPConnection.h Pantomime.framework/Versions/1.2/Headers/CWTCPConnection.h
> /usr/bin/install -c -p  -m 644 CWTransport.h Pantomime.framework/Versions/1.2/Headers/CWTransport.h
> /usr/bin/install -c -p  -m 644 CWURLName.h Pantomime.framework/Versions/1.2/Headers/CWURLName.h
> /usr/bin/install -c -p  -m 644 CWUUFile.h Pantomime.framework/Versions/1.2/Headers/CWUUFile.h
> /usr/bin/install -c -p  -m 644 CWVirtualFolder.h Pantomime.framework/Versions/1.2/Headers/CWVirtualFolder.h
> /usr/bin/install -c -p  -m 644 CWWINDOWS_1250.h Pantomime.framework/Versions/1.2/Headers/CWWINDOWS_1250.h
> /usr/bin/install -c -p  -m 644 CWWINDOWS_1251.h Pantomime.framework/Versions/1.2/Headers/CWWINDOWS_1251.h
> /usr/bin/install -c -p  -m 644 CWWINDOWS_1252.h Pantomime.framework/Versions/1.2/Headers/CWWINDOWS_1252.h
> /usr/bin/install -c -p  -m 644 CWWINDOWS_1253.h Pantomime.framework/Versions/1.2/Headers/CWWINDOWS_1253.h
> /usr/bin/install -c -p  -m 644 CWWINDOWS_1254.h Pantomime.framework/Versions/1.2/Headers/CWWINDOWS_1254.h
> /usr/bin/install -c -p  -m 644 NSData+Extensions.h Pantomime.framework/Versions/1.2/Headers/NSData+Extensions.h
> /usr/bin/install -c -p  -m 644 NSFileManager+Extensions.h Pantomime.framework/Versions/1.2/Headers/NSFileManager+Extensions.h
> /usr/bin/install -c -p  -m 644 NSScanner+Extensions.h Pantomime.framework/Versions/1.2/Headers/NSScanner+Extensions.h
> /usr/bin/install -c -p  -m 644 NSString+Extensions.h Pantomime.framework/Versions/1.2/Headers/NSString+Extensions.h
> /usr/bin/install -c -p  -m 644 Pantomime.h Pantomime.framework/Versions/1.2/Headers/Pantomime.h
> /usr/share/GNUstep/Makefiles/mkinstalldirs ./derived_src; \
> 	touch derived_src/.stamp
> /usr/share/GNUstep/Makefiles/mkinstalldirs Pantomime.framework/Versions/1.2/Resources
> cd ./Pantomime.framework/Versions; \
> 	rm -f Current; \
> 	ln -s 1.2 Current
> cd ./Pantomime.framework; \
> 	  if [ ! -h "Resources" ]; then \
> 	    rm -f Resources; \
> 	    ln -s Versions/Current/Resources Resources; \
> 	  fi; \
> 	  if [ ! -h "Headers" ]; then \
> 	    rm -f Headers; \
> 	    ln -s Versions/Current/Headers Headers; \
> 	  fi
> cd ./derived_src; \
> 	  if [ ! -h "Pantomime" ]; then \
> 	    rm -f ./Pantomime; \
> 	    ln -s ../Pantomime.framework/Headers \
>                     ./Pantomime; \
> 	  fi
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj
> Making all for framework Pantomime...
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj/Pantomime.obj/
> gcc io.c -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/io.c.o
> gcc CWCacheManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWCacheManager.m.o
> gcc CWCharset.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWCharset.m.o
> gcc CWConstants.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWConstants.m.o
> gcc CWContainer.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWContainer.m.o
> CWContainer.m:80:2: warning: #warning Fix mem leaks
> gcc CWDNSManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWDNSManager.m.o
> CWDNSManager.m: In function '-[CWDNSManager init]':
> CWDNSManager.m:190:45: warning: cast to pointer from integer of different size
> gcc CWFlags.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWFlags.m.o
> gcc CWFolder.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWFolder.m.o
> gcc CWFolderInformation.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWFolderInformation.m.o
> gcc CWIMAPCacheManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWIMAPCacheManager.m.o
> CWIMAPCacheManager.m: In function '-[CWIMAPCacheManager initInRange:]':
> CWIMAPCacheManager.m:197:27: warning: cast to pointer from integer of different size
> CWIMAPCacheManager.m: In function '-[CWIMAPCacheManager removeMessageWithUID:]':
> CWIMAPCacheManager.m:214:23: warning: cast to pointer from integer of different size
> CWIMAPCacheManager.m: In function '-[CWIMAPCacheManager messageWithUID:]':
> CWIMAPCacheManager.m:222:27: warning: cast to pointer from integer of different size
> CWIMAPCacheManager.m: In function '-[CWIMAPCacheManager writeRecord:message:]':
> CWIMAPCacheManager.m:333:23: warning: cast to pointer from integer of different size
> gcc CWIMAPFolder.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWIMAPFolder.m.o
> gcc CWIMAPMessage.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWIMAPMessage.m.o
> gcc CWIMAPStore.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWIMAPStore.m.o
> CWIMAPStore.m:809:2: warning: #warning VERIFY FOR NoSelect
> gcc CWInternetAddress.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWInternetAddress.m.o
> CWInternetAddress.m: In function '-[CWInternetAddress initWithString:]':
> CWInternetAddress.m:57:2: warning: #warning also support "joe@acme.com (Joe User)"
> gcc CWISO8859_1.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_1.m.o
> gcc CWISO8859_2.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_2.m.o
> gcc CWISO8859_3.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_3.m.o
> gcc CWISO8859_4.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_4.m.o
> gcc CWISO8859_5.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_5.m.o
> gcc CWISO8859_6.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_6.m.o
> gcc CWISO8859_7.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_7.m.o
> gcc CWISO8859_8.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_8.m.o
> gcc CWISO8859_9.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_9.m.o
> gcc CWISO8859_10.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_10.m.o
> gcc CWISO8859_11.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_11.m.o
> gcc CWISO8859_13.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_13.m.o
> gcc CWISO8859_14.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_14.m.o
> gcc CWISO8859_15.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWISO8859_15.m.o
> gcc CWKOI8_R.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWKOI8_R.m.o
> gcc CWKOI8_U.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWKOI8_U.m.o
> gcc CWLocalCacheManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalCacheManager.m.o
> gcc CWLocalFolder.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalFolder.m.o
> CWLocalFolder.m: In function '-[CWLocalFolder appendMessageFromRawSource:flags:]':
> CWLocalFolder.m:369:11: warning: multiple methods named '-count' found
> /usr/include/GNUstep/Foundation/NSArray.h:57:1: note: using '-(NSUInteger)count'
> ../Pantomime/CWCacheManager.h:132:1: note: also found '-(unsigned int)count'
> ../Pantomime/CWFolder.h:407:1: note: also found '-(int)count'
> gcc CWLocalFolder+maildir.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalFolder+maildir.m.o
> CWLocalFolder+maildir.m: In function '-[CWLocalFolder(maildir) expunge:maildir]':
> CWLocalFolder+maildir.m:108:2: warning: #warning also return when invoking the delegate
> gcc CWLocalFolder+mbox.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalFolder+mbox.m.o
> CWLocalFolder+mbox.m: In function '-[CWLocalFolder(mbox) expunge:mbox]':
> CWLocalFolder+mbox.m:202:2: warning: #warning we might need to adjust the size here too!
> CWLocalFolder+mbox.m:295:2: warning: #warning also return when invoking the delegate
> gcc CWLocalMessage.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalMessage.m.o
> gcc CWLocalStore.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWLocalStore.m.o
> gcc CWMD5.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWMD5.m.o
> gcc CWMessage.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWMessage.m.o
> gcc CWMIMEMultipart.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWMIMEMultipart.m.o
> gcc CWMIMEUtility.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWMIMEUtility.m.o
> CWMIMEUtility.m:331:2: warning: #warning remove/combine or leave and document
> CWMIMEUtility.m:377:2: warning: #warning remove/combine or leave and document
> CWMIMEUtility.m: In function '+[CWMIMEUtility setContentFromRawSource:inPart:]':
> CWMIMEUtility.m:659:2: warning: #warning test extensively those
> gcc CWParser.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWParser.m.o
> CWParser.m: In function '+[CWParser(Private) _parameterValueUsingLine:range:decode:charset:]':
> CWParser.m:1011:2: warning: #warning FIXME - consider format= when passing the parameter range
> gcc CWPart.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPart.m.o
> gcc CWPOP3CacheManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPOP3CacheManager.m.o
> gcc CWPOP3CacheObject.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPOP3CacheObject.m.o
> gcc CWPOP3Folder.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPOP3Folder.m.o
> CWPOP3Folder.m: In function '-[CWPOP3Folder(Private) _deleteOldMessages]':
> CWPOP3Folder.m:213:5: warning: passing argument 3 of 'years:months:days:hours:minutes:seconds:sinceDate:' from incompatible pointer type
> CWPOP3Folder.m:213:5: note: expected 'NSInteger *' but argument is of type 'int *'
> gcc CWPOP3Message.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPOP3Message.m.o
> gcc CWPOP3Store.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWPOP3Store.m.o
> CWPOP3Store.m: In function '-[CWPOP3Store(Private) _parseAPOP]':
> CWPOP3Store.m:572:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWPOP3Store.m:572:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWPOP3Store.m:576:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWPOP3Store.m:576:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWPOP3Store.m: In function '-[CWPOP3Store(Private) _parsePASS]':
> CWPOP3Store.m:688:7: warning: the address of '_OBJC_INSTANCE_1' will always evaluate as 'true'
> CWPOP3Store.m:688:7: warning: the address of '_OBJC_INSTANCE_1' will always evaluate as 'true'
> CWPOP3Store.m:692:7: warning: the address of '_OBJC_INSTANCE_1' will always evaluate as 'true'
> CWPOP3Store.m:692:7: warning: the address of '_OBJC_INSTANCE_1' will always evaluate as 'true'
> gcc CWRegEx.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWRegEx.m.o
> gcc CWService.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWService.m.o
> CWService.m: In function '-[CWService updateWrite]':
> CWService.m:560:49: warning: cast to pointer from integer of different size
> CWService.m: In function '-[CWService writeData:]':
> CWService.m:624:42: warning: cast to pointer from integer of different size
> CWService.m: In function '-[CWService(Private) _addWatchers]':
> CWService.m:813:45: warning: cast to pointer from integer of different size
> CWService.m:822:45: warning: cast to pointer from integer of different size
> CWService.m: In function '-[CWService(Private) _removeWatchers]':
> CWService.m:880:48: warning: cast to pointer from integer of different size
> CWService.m:885:48: warning: cast to pointer from integer of different size
> CWService.m:890:48: warning: cast to pointer from integer of different size
> gcc CWSendmail.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWSendmail.m.o
> gcc CWSMTP.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWSMTP.m.o
> CWSMTP.m: In function '-[CWSMTP authenticate:password:mechanism:]':
> CWSMTP.m:220:7: warning: the address of '_OBJC_INSTANCE_0' will always evaluate as 'true'
> CWSMTP.m:220:7: warning: the address of '_OBJC_INSTANCE_0' will always evaluate as 'true'
> CWSMTP.m: In function '-[CWSMTP(Private) _parseAUTH:CRAM:MD5]':
> CWSMTP.m:571:7: warning: the address of '_OBJC_INSTANCE_6' will always evaluate as 'true'
> CWSMTP.m:571:7: warning: the address of '_OBJC_INSTANCE_6' will always evaluate as 'true'
> CWSMTP.m:575:7: warning: the address of '_OBJC_INSTANCE_6' will always evaluate as 'true'
> CWSMTP.m:575:7: warning: the address of '_OBJC_INSTANCE_6' will always evaluate as 'true'
> CWSMTP.m: In function '-[CWSMTP(Private) _parseAUTH:LOGIN]':
> CWSMTP.m:600:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m:600:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m: In function '-[CWSMTP(Private) _parseAUTH:LOGIN:CHALLENGE]':
> CWSMTP.m:626:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m:626:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m:630:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m:630:7: warning: the address of '_OBJC_INSTANCE_4' will always evaluate as 'true'
> CWSMTP.m: In function '-[CWSMTP(Private) _parseAUTH:PLAIN]':
> CWSMTP.m:675:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWSMTP.m:675:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWSMTP.m:679:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWSMTP.m:679:7: warning: the address of '_OBJC_INSTANCE_2' will always evaluate as 'true'
> CWSMTP.m: In function '-[CWSMTP(Private) _parseAUTHORIZATION]':
> CWSMTP.m:701:2: warning: #warning FIXME
> CWSMTP.m: In function '-[CWSMTP(Private) _parseEHLO]':
> CWSMTP.m:857:2: warning: #warning FIXME - Inform the delegate if it is ready or not, especially if EHLO failed
> CWSMTP.m: In function '-[CWSMTP(Private) _parseRCPT]':
> CWSMTP.m:975:2: warning: #warning also send the invalid recipient in perform selector and when posting the notification
> gcc CWTCPConnection.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWTCPConnection.m.o
> CWTCPConnection.m: In function '-[CWTCPConnection isConnected]':
> CWTCPConnection.m:280:2: warning: #warning handle right way in CWService tick if the port was incorrectly specified
> gcc CWURLName.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWURLName.m.o
> gcc CWUUFile.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWUUFile.m.o
> gcc CWVirtualFolder.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWVirtualFolder.m.o
> CWVirtualFolder.m:92:2: warning: #warning FIXME
> CWVirtualFolder.m: In function '-[CWVirtualFolder search:mask:options:]':
> CWVirtualFolder.m:126:2: warning: #warning FIXME
> gcc CWWINDOWS_1250.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWWINDOWS_1250.m.o
> gcc CWWINDOWS_1251.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWWINDOWS_1251.m.o
> gcc CWWINDOWS_1252.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWWINDOWS_1252.m.o
> gcc CWWINDOWS_1253.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWWINDOWS_1253.m.o
> gcc CWWINDOWS_1254.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/CWWINDOWS_1254.m.o
> gcc NSData+Extensions.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/NSData+Extensions.m.o
> NSData+Extensions.m: In function '-[NSData(PantomimeExtensions) rangeOfCString:options:range:]':
> NSData+Extensions.m:420:2: warning: #warning this could be optimized
> gcc NSFileManager+Extensions.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/NSFileManager+Extensions.m.o
> gcc NSScanner+Extensions.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/NSScanner+Extensions.m.o
> gcc NSString+Extensions.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -DHAVE_ICONV -Wall -Wno-import -fconstant-string-class=NSConstantString -I.. -I./derived_src -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Pantomime.obj/NSString+Extensions.m.o
> NSString+Extensions.m:41:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory
> compilation terminated.
> make[4]: *** [obj/Pantomime.obj/NSString+Extensions.m.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/03/13/pantomime1.2_1.2.0~pre3+snap20071004+dfsg-3_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) pending. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 20:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618184; Package src:pantomime1.2. (Sat, 02 Jul 2011 10:13:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 02 Jul 2011 10:13:14 GMT) Full text and rfc822 format available.

Message #12 received at 618184@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Yavor Doganov <yavor@gnu.org>
Cc: 618184@bugs.debian.org
Subject: Re: Tagging some GNUstep bugs as pending
Date: Sat, 2 Jul 2011 12:09:47 +0200
Hi Yavor,

On Thu, Mar 31, 2011 at 22:42:59 +0300, Yavor Doganov wrote:

> tags 618184 + pending

That was 3 months ago.  When can we expect a fix in sid?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618184; Package src:pantomime1.2. (Sun, 03 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sun, 03 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 618184@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Julien Cristau <jcristau@debian.org>, 618184@bugs.debian.org
Subject: Re: Bug#618184: Tagging some GNUstep bugs as pending
Date: Sun, 03 Jul 2011 18:56:53 +0300
At Sat, 2 Jul 2011 12:09:47 +0200,
Julien Cristau wrote:
> > tags 618184 + pending
> 
> That was 3 months ago.  When can we expect a fix in sid?

When we have a green light from the release team to carry out the
GNUstep transition (#629477).  I prefer a package to FTBFS than to
fail miserably at runtime (which is guaranteed to happen if the fix is
uploaded now).




Added indication that bug 618184 blocks 622134 Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 07 Aug 2011 12:39:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618184; Package src:pantomime1.2. (Fri, 23 Sep 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Fri, 23 Sep 2011 10:09:08 GMT) Full text and rfc822 format available.

Message #24 received at 618184@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Yavor Doganov <yavor@gnu.org>, 618184@bugs.debian.org
Subject: Re: Bug#618184: Tagging some GNUstep bugs as pending
Date: Fri, 23 Sep 2011 12:07:11 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 03, 2011 at 06:56:53PM +0300, Yavor Doganov wrote:
> At Sat, 2 Jul 2011 12:09:47 +0200,
> Julien Cristau wrote:
> > > tags 618184 + pending
> > That was 3 months ago.  When can we expect a fix in sid?
> When we have a green light from the release team to carry out the
> GNUstep transition (#629477).  I prefer a package to FTBFS than to
> fail miserably at runtime (which is guaranteed to happen if the fix is
> uploaded now).

So this is obviously needed for the GNUstep transition.  Can you
please upload it?

Thanks
Philipp kern
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 618184 blocks 629477 Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Fri, 23 Sep 2011 10:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618184; Package src:pantomime1.2. (Fri, 23 Sep 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Fri, 23 Sep 2011 12:51:03 GMT) Full text and rfc822 format available.

Message #31 received at 618184@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Philipp Kern <pkern@debian.org>, 618184@bugs.debian.org
Subject: Re: Bug#618184: Tagging some GNUstep bugs as pending
Date: Fri, 23 Sep 2011 14:49:53 +0300
Philipp Kern wrote:
> So this is obviously needed for the GNUstep transition.  Can you
> please upload it?

I will, hopefully today, but it should be binNMUed on kfreebsd-amd64
when gnustep-base is fixed.




Reply sent to Yavor Doganov <yavor@gnu.org>:
You have taken responsibility. (Mon, 26 Sep 2011 00:34:27 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 26 Sep 2011 00:34:27 GMT) Full text and rfc822 format available.

Message #36 received at 618184-close@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 618184-close@bugs.debian.org
Subject: Bug#618184: fixed in pantomime1.2 1.2.0~pre3+snap20071004+dfsg-4
Date: Mon, 26 Sep 2011 00:32:56 +0000
Source: pantomime1.2
Source-Version: 1.2.0~pre3+snap20071004+dfsg-4

We believe that the bug you reported is fixed in the latest version of
pantomime1.2, which is due to be installed in the Debian FTP archive:

libpantomime1.2-dev_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
  to main/p/pantomime1.2/libpantomime1.2-dev_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
libpantomime1.2_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
  to main/p/pantomime1.2/libpantomime1.2_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.diff.gz
  to main/p/pantomime1.2/pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.diff.gz
pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.dsc
  to main/p/pantomime1.2/pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618184@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yavor Doganov <yavor@gnu.org> (supplier of updated pantomime1.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Sep 2011 20:17:52 +0300
Source: pantomime1.2
Binary: libpantomime1.2 libpantomime1.2-dev
Architecture: source amd64
Version: 1.2.0~pre3+snap20071004+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Changed-By: Yavor Doganov <yavor@gnu.org>
Description: 
 libpantomime1.2 - GNUstep framework for mail handling (runtime library)
 libpantomime1.2-dev - GNUstep framework for mail handling (development files)
Closes: 618184
Changes: 
 pantomime1.2 (1.2.0~pre3+snap20071004+dfsg-4) unstable; urgency=low
 .
   * debian/control (Vcs-Arch): Remove.
     (Vcs-Git, Vcs-Browser): New; the package is now maintained in Git.
     (Standards-Version): Claim compliance with 3.9.2; no changes needed.
     (libpantomime1.2-dev) <Depends>: Add libssl-dev.
   * debian/patches/compilation-errors.patch: New; fixes FTBFS with GCC 4.6
     (Closes: #618184).
   * debian/patches/series: Update.
Checksums-Sha1: 
 9f79ff9f08c3a5e3c10b09a6962b76b2bde4d865 1561 pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.dsc
 95d9e9ed5330025d61584a7a303ea349898fc023 5674 pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.diff.gz
 5b0ee7d10da3f64d3ef84841dbb48476310eb76c 303934 libpantomime1.2_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
 0cbe49a16b44fe8f4c1ae2d873e9cb3235578fed 106688 libpantomime1.2-dev_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
Checksums-Sha256: 
 ae249600b84a9b21a81d92d4c1e4a3775637fd09dedec4a3908a03db05d9dc0d 1561 pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.dsc
 b817d335f30e0363f11f90e7e096059d808cc5d080e68e13290285aef23743e9 5674 pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.diff.gz
 b0a1a4cf2b5fa7fe850ffe2b3e09cd66f7eb985219cc093b934a63e95ff81a37 303934 libpantomime1.2_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
 eda9d0d2b9fa91e2f1f2bbb677987f65d2eb7e2c3cef7b3db55632939ad6c362 106688 libpantomime1.2-dev_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
Files: 
 9a593a9c18e9277c359f20293c439966 1561 gnustep optional pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.dsc
 7ef67f7601e5808fbf0c6c0bee367e79 5674 gnustep optional pantomime1.2_1.2.0~pre3+snap20071004+dfsg-4.diff.gz
 815dad036075a07976ce9c9d3b12b44f 303934 libs optional libpantomime1.2_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb
 36397c91be7f9ead0dc2fe3b45ff8aae 106688 libdevel optional libpantomime1.2-dev_1.2.0~pre3+snap20071004+dfsg-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5/xY8ACgkQfNdgYxVXvBAhswCgrBfJCi4uW9OCYnxFM4cy1fl1
U8YAn2CfrPlOHhZePuTbxph6LJ+ADJ6v
=ILlI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:29:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:14:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.